discussion/urls.py
from django.contrib import admin
from django.urls import include, path

# Every django application always starts with the package that has the same name. In order for us to access the routes of a different package (todolist), then we have to import/include it within the 'urls.py' file within the package that has the same name as the project.
urlpatterns = [
    # By doing this, we are going to be able to access the routes
    path('todolist/', include('todolist.urls')),
    path('admin/', admin.site.urls),
]

todolist/urls.py
from django.urls import path
from . import views

# You can declare routes by using the path function and having 3 arguments within that function.
# 1st argument - endpoint, 2nd argument - function to be triggered, 3rd argument - label for the route
app_name = 'todolist'
urlpatterns = [
	path('', views.index, name = 'index'),
	# /todolist/<todoitem_id>
	path('<int:todoitem_id>/', views.todoitem, name='viewtodoitem'),
    # /todolist/<events_id>
	path('event/<int:events_id>/', views.events, name='viewevents'),
	# /todolist/register
	path('register', views.register, name="register"),
	# /todolist/change_password
	path('change_password', views.change_password, name="change_password"),
	# /todolist/login
	path('login', views.login_view, name="login"),
	# /todolist/logout
	path('logout', views.logout_view, name="logout"),
	# /todolist/add_task
	path('add_task', views.add_task, name="add_task"),
    # /todolist/add_event
	path('add_event', views.add_event, name="add_event"),
	# /todolist/todoitem_id/edit
	path('<int:todoitem_id>/edit', views.update_task, name='update_task'),
    # /todolist/todoitem_id/edit_event
	path('<int:events_id>/edit_event', views.update_event, name='update_event'),
	# /todolist/todoitem_id/delete
	path('<int:todoitem_id>/delete', views.delete_task, name='delete_task'),
    # /todolist/todoitem_id/delete_event
	path('<int:events_id>/delete_event', views.delete_event, name='delete_event')
]

templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}To Do App {% endblock %}</title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">

</head>
<body>
    {% include 'navbar.html' %}
    <!-- <h1>Hello World!</h1> -->
    {% block content %}
    {% endblock %}

    <!-- Bootstrap Script -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
</body>
</html>

templates/navbar.html
<nav class="navbar navbar-expand-lg bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" href="{% url 'todolist:index' %}">To Do App</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="{% url 'todolist:index' %}">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:add_task' %}">Add Task</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:add_event' %}">Add Event</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:login' %}">Login</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:register' %}">Register</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:logout' %}">Logout</a>
        </li>
      </ul>
    </div>
  </div>
</nav>